ScXMLXMLDataObj(3)

NAME
ScXMLXMLDataObj

SYNOPSIS

Inherits ScXMLDataObj.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual ScXMLDataObj * clone (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Member Function Documentation

  SoType ScXMLXMLDataObj::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLDataObj.

Author

Generated automatically by Doxygen for Coin from the source code.